Distribution:	CCux
Packager:	Karsten Brockman <arcam@ccux-linux.de>

Summary:	Kernel bootloader for FAT or ISO9660 filesystems or PXE networks
Name:		syslinux
Version:	4.02
Release:	1
License:	GNU/GPL
URL:		http://syslinux.zytor.com/
Group:		System/Base
Source0:	%{name}-%{version}.tar.bz2
Patch0:		syslinux-nodebug.patch
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686
BuildRequires:	glibc-devel

%description
The SYSLINUX Project covers lightweight bootloaders for MS-DOS FAT filesystems (SYSLINUX),
network booting (PXELINUX), bootable "El Torito" CD-ROMs (ISOLINUX),
and Linux ext2/ext3 filesystems (EXTLINUX).
The project also includes MEMDISK, a tool to boot legacy operating systems (such as DOS)
from nontraditional media; it is usually used in conjunction with PXELINUX and ISOLINUX.

%package	devel
Summary:	%{name} development headers.
Group:		%{group}
Requires:	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}

%post
ldconfig

%postun
ldconfig

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1

%build
make clean
make installer

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install-all \
	INSTALLROOT="%{buildroot}" \
	BINDIR="%{_bindir}" \
	MANDIR="%{_mandir}" \
	LIBDIR="%{_prefix}/lib" \
	INCDIR="%{_includedir}" \
	TFTPBOOT=%{_datadir}/tftpboot EXTLINUXDIR=%{_datadir}/extlinux
#mkdir -p %{buildroot}%{_prefix}/lib/syslinux
#install -p -m0755 mkdiskimage keytab-lilo.pl %{buildroot}%{_prefix}/lib/syslinux/

### Clean up docroot
make -C sample tidy
# strip debug symbols
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
/sbin/extlinux
%{_bindir}/isohybrid
%{_bindir}/gethostip
%{_bindir}/md5pass
%{_bindir}/lss16toppm
%{_bindir}/ppmtolss16
%{_bindir}/sha1pass
%{_bindir}/syslinux
%{_bindir}/keytab-lilo
%{_bindir}/mkdiskimage
%{_bindir}/syslinux2ansi
%{_bindir}/pxelinux-options
%{_bindir}/isohybrid.pl
%{_bindir}/memdiskfind
%{_datadir}/extlinux/
%{_datadir}/syslinux/
%{_datadir}/tftpboot/
%{_mandir}/man1/extlinux.1.gz
%{_mandir}/man1/gethostip.1.gz
%{_mandir}/man1/lss16toppm.1.gz
%{_mandir}/man1/ppmtolss16.1.gz
%{_mandir}/man1/syslinux.1.gz
%{_mandir}/man1/syslinux2ansi.1.gz

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Jul 22 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.02-1
- version update
* Sat Jul 03 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.01-1
- version update
* Mon Jun 28 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.00-1
- version update
* Thu Apr 01 2010 Karsten Brockmann <arcam@ccux-linux.de> 3.85-1
- version update
* Thu Feb 18 2010 Karsten Brockmann <arcam@ccux-linux.de> 3.84-1
- version update
* Fri Oct 16 2009 Karsten Brockmann <arcam@ccux-linux.de> 3.83-1
- version update
* Wed Jul 22 2009 Karsten Brockmann <arcam@ccux-linux.de> 3.82-1
- version update
* Tue May 05 2009 Karsten Brockmann <arcam@ccux-linux.de> 3.80-1
- version update
* Wed Mar 11 2009 Karsten Brockmann <arcam@ccux-linux.de> 3.73-1
- version update
* Fri Sep 26 2008 Christian Wasem <wasem@ccux-linux.de> 3.72-1
- version update
* Fri Aug 01 2008 Karsten Brockmann <arcam@ccux-linux.de> 3.71-1
- version update
* Tue Jul 01 2008 Karsten Brockmann <arcam@ccux-linux.de> 3.70-1
- version update
* Sun Apr 13 2008 Karsten Brockmann <arcam@ccuc-linux.de> 3.63-1
- Initial Release
